Run any node-mapnik version against a given test script
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
data
.travis.yml
README.md
color.js
composite-raster.js
install.sh
install_node.sh
overzoom-vector.js
runner.js

README.md

Change detection of node-mapnik differences

Build Status

This repo offers scripts to help quickly test code against any node-mapnik release.

Usage

Install a node-mapnik version:

./install.sh 3.4.11

Then test a given script using that version:

node runner.js mapnik-versions/v3.4.11 ./color.js

Current expectation of that test script, for example, is to throw an error like: Error: Failed to parse color: "#ffffff 50" which did not happen with versions of node-mapnik before v3.4.8.